<?php
/**
 * $Horde: trean/add.php,v 1.28 2005/01/03 14:35:34 jan Exp $
 *
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

@define('TREAN_BASE', dirname(__FILE__));
require_once TREAN_BASE . '/lib/base.php';

/* Deal with any action task. */
$actionID = Util::getFormData('actionID');
switch ($actionID) {
case 'add_bookmark':
    $category_id = Util::getFormData('category_id', DATATREE_ROOT);

    /* Create a new Bookmark. */
    $properties = array();
    $properties['title'] = Util::getFormData('title');
    $properties['description'] = Util::getFormData('description');
    $properties['url'] = Util::getFormData('url');

    if ($category_id == DATATREE_ROOT) {
        $bookmark = &$trean_bookmarks->newBookmark(md5(uniqid(mt_rand())), $properties);
        $result = $trean_bookmarks->addBookmark($bookmark);
    } else {
        $category = &$trean_bookmarks->getCategory($category_id);
        $result = $category->addBookmark($properties);
    }

    if (is_a($result, 'PEAR_Error')) {
        $notification->push(sprintf(_("There was an error adding the bookmark: %s"), $result->getMessage()), 'horde.error');
    } else {
        if (Util::getFormData('popup')) {
            Util::closeWindowJS();
        } else {
            header('Location: ' . Horde::applicationUrl(Util::addParameter('browse.php', 'category_id', $category_id), true));
        }
        exit;
    }
    break;

case 'add_category':
    $parent_id = Util::getFormData('category_id', DATATREE_ROOT);

    $properties = array();
    $properties['name'] = Util::getFormData('name');

    if ($parent_id == DATATREE_ROOT) {
        $category = &$trean_bookmarks->newCategory(md5(uniqid(mt_rand())), $properties);
        $result = $trean_bookmarks->addCategory($category);
    } else {
        $parent = &$trean_bookmarks->getCategory($parent_id);
        $result = $parent->addCategory($properties);
    }

    if (is_a($result, 'PEAR_Error')) {
        $notification->push(sprintf(_("There was an error adding the category: %s"), $result->getMessage()), 'horde.error');
    } else {
        header('Location: ' . Horde::applicationUrl(Util::addParameter('browse.php', 'category_id', $result), true));
        exit;
    }
    break;
}

if (Util::getFormData('popup')) {
    $notification->push('window.focus();', 'javascript');
}
$title = _("Add Bookmark");
require TREAN_TEMPLATES . '/common-header.inc';
if (!Util::getFormData('popup')) {
    require TREAN_TEMPLATES . '/menu.inc';
}
require TREAN_TEMPLATES . '/add/add.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
