<?php
/**
 * $Horde: trean/edit.php,v 1.23 2005/01/06 03:00:31 ben Exp $
 *
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

@define('TREAN_BASE', dirname(__FILE__));
require_once TREAN_BASE . '/lib/base.php';

$actionID = Util::getFormData('actionID');
$category_id = Util::getFormData('category_id', DATATREE_ROOT);
$bookmark_id = Util::getFormData('bookmark_id');

switch ($actionID) {
case 'save':
    $new_category = Util::getFormData('new_category', DATATREE_ROOT);

    $bookmark = &$trean_bookmarks->getBookmark($bookmark_id);
    $bookmark->set('url', Util::getFormData('url'));
    $bookmark->set('title', Util::getFormData('title'));
    $bookmark->set('description', Util::getFormData('description'));
    $result = $bookmark->update();

    if ($new_category != $category_id) {
        $category_id = $new_category;
        $category = &$trean_bookmarks->getCategory($category_id);
        $result = $bookmark->move($category);
    }

    if (is_a($result, 'PEAR_Error')) {
        $notification->push(sprintf(_("There was an error saving the bookmark: %s"), $result->getMessage()), 'horde.error');
    } else {
        $url = Util::addParameter('browse.php', 'category_id', $category_id);
        header('Location: ' . Horde::applicationUrl($url, true));
        exit;
    }

case 'del_bookmark':
    $bookmark = &$trean_bookmarks->getBookmark($bookmark_id);
    $bookmark->delete();

    $url = Util::addParameter('browse.php', 'category_id', $category_id);
    header('Location: ' . Horde::applicationUrl($url, true));
    exit;
    break;

case 'rename':
    /* Rename a Bookmark Category. */
    $name = Util::getFormData('name');

    $category = &$trean_bookmarks->getCategory($category_id);
    $result = $category->set('name', $name, true);

    if (is_a($result, 'PEAR_Error')) {
        $notification->push(sprintf(_("'%s' was not renamed: %s."), $name, $result->getMessage()), 'horde.error');
    } else {
        $url = Util::addParameter('browse.php', 'category_id', $category_id);
        header('Location: ' . Horde::applicationUrl($url, true));
        exit;
    }
    break;

case 'del_category':
    $category = &$trean_bookmarks->getCategory($category_id);
    $parent = $category->getParent();

    $category->delete();

    header('Location: ' . Horde::applicationUrl(Util::addParameter('browse.php', 'category_id', $parent), true));
    exit;
    break;
}

$category = &$trean_bookmarks->getCategory($category_id);
$bookmark = &$trean_bookmarks->getBookmark($bookmark_id);

$title = _("Edit Bookmark");
require TREAN_TEMPLATES . '/common-header.inc';
require TREAN_TEMPLATES . '/menu.inc';
require TREAN_TEMPLATES . '/edit/edit.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
