<?php
/**
 * Trean external API interface.
 *
 * This file defines Trean's external API interface. Other
 * applications can interact with Trean through this API.
 *
 * $Horde: trean/lib/api.php,v 1.10 2005/01/03 14:35:34 jan Exp $
 *
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

$_services['list'] = array(
    'args' => array('parent'),
    'type' => 'stringArray'
);


function _trean_list($parent = DATATREE_ROOT)
{
    require_once dirname(__FILE__) . '/base.php';

    $ids = Trean::listAllBookmarks($parent);
    if (is_a($ids, 'PEAR_Error')) {
        return $ids;
    }

    $bookmarks = array();
    foreach ($ids as $id => $name) {
        $bookmark = &$GLOBALS['trean_bookmarks']->getBookmark($id);
        $bookmarks[] = array('title' => $bookmark->get('title'),
                             'description' => $bookmark->get('description'),
                             'url' => $bookmark->get('url'));
    }

    return $bookmarks;
}
