#!/usr/local/bin/php
<?php
/**
 * $Horde: trean/scripts/upgrades/2004-12-03_use_datatree_attributes.php,v 1.1 2004/12/03 21:58:22 chuck Exp $
 *
 * This is a script to migrate bookmarks to use DataTree attributes.
 */

// No auth.
@define('AUTH_HANDLER', true);

// Find the base file path of Horde.
@define('TREAN_BASE', dirname(__FILE__) . '/../..');

// Do CLI checks and environment setup first.
require_once TREAN_BASE . '/lib/base.php';
require_once 'Horde/CLI.php';

// Make sure no one runs this from the web.
if (!Horde_CLI::runningFromCLI()) {
    exit("Must be run from the command line\n");
}

// Load the CLI environment - make sure there's no time limit, init
// some variables, etc.
Horde_CLI::init();

require_once 'Horde/DataTree.php';

$datatree = &DataTree::factory('sql');
$db = &$datatree->_db;

$ids = $db->getAssoc('SELECT datatree_id, datatree_name, group_uid FROM horde_datatree WHERE group_uid LIKE \'trean.bookmarks.%\'');
foreach ($ids as $id => $row) {
    $datatree->_params['group'] = $row[1];
    $datatree->_load();
    $bookmarksOb = &new DataTreeObject_Bookmarks($row[0]);
    $bookmarksOb->data = $datatree->getData($id);
    $result = $datatree->updateData($bookmarksOb);
    if (is_a($result, 'PEAR_Error')) {
        var_dump($result);
        exit;
    }
}

echo "\nDone!\n";
